summaryrefslogtreecommitdiff
path: root/t/t9200-git-cvsexportcommit.sh
diff options
context:
space:
mode:
authorJohannes Sixt <j6t@kdbg.org>2009-02-27 22:20:57 +0100
committerJohannes Sixt <j6t@kdbg.org>2009-03-22 17:26:44 +0100
commit872f349e7b119fcef7306f5dd7e4492ee3598318 (patch)
tree9e9ae49455befd3ac15a2d80079d8d494c86f10f /t/t9200-git-cvsexportcommit.sh
parent56e78bfb299207213ff170238c34a1dc8fa67c09 (diff)
downloadgit-872f349e7b119fcef7306f5dd7e4492ee3598318.tar.gz
Skip tests that fail if the executable bit is not handled by the filesystem
Signed-off-by: Johannes Sixt <j6t@kdbg.org>
Diffstat (limited to 't/t9200-git-cvsexportcommit.sh')
-rwxr-xr-xt/t9200-git-cvsexportcommit.sh13
1 files changed, 6 insertions, 7 deletions
diff --git a/t/t9200-git-cvsexportcommit.sh b/t/t9200-git-cvsexportcommit.sh
index d28b71b8cf..995f60771a 100755
--- a/t/t9200-git-cvsexportcommit.sh
+++ b/t/t9200-git-cvsexportcommit.sh
@@ -225,11 +225,12 @@ test_expect_success \
test_must_fail git cvsexportcommit -c $id
)'
-case "$(git config --bool core.filemode)" in
-false)
- ;;
-*)
-test_expect_success \
+if ! test "$(git config --bool core.filemode)" = false
+then
+ test_set_prereq FILEMODE
+fi
+
+test_expect_success FILEMODE \
'Retain execute bit' \
'mkdir G &&
echo executeon >G/on &&
@@ -243,8 +244,6 @@ test_expect_success \
test -x G/on &&
! test -x G/off
)'
- ;;
-esac
test_expect_success '-w option should work with relative GIT_DIR' '
mkdir W &&